npts = length(points);

%fid = fopen('unstab_p6_for.txt', 'w');
% fid = fopen('unstab_p6_back.txt', 'w');
% fid = fopen('stab_p6_for.txt', 'w');
% fid = fopen('stab_p6_back.txt', 'w');
% fid = fopen('stab_p12_for.txt', 'w');
fid = fopen('stab_p12_back.txt', 'w');

for i = 1:npts
    q = points(i, 1);
    k = points(i, 2);
    T = 0;
    prm = param(i);
    [q, k, T] = lrun(q, (n-1)*q, prm, theta, T0);
    fprintf(fid, '%4.10f %4.10f %4.10f %d\n', prm, q, k, T);
    for j = 1:5
        [q, k, T] = srun(q, (n-1)*q, k, T, theta);
        fprintf(fid, '%4.10f %4.10f %4.10f %d\n', prm, q, k, T);
    end
    [q, k, T] = lrun(q, (n-1)*q, prm, theta, T0);
    fprintf(fid, '%4.10f %4.10f %4.10f %d\n', prm, q, k, T);
    for j = 1:5
        [q, k, T] = srun(q, (n-1)*q, k, T, theta);
        fprintf(fid, '%4.10f %4.10f %4.10f %d\n', prm, q, k, T);
    end
end

fclose(fid);


% q = points(end, 1)
% k = points(end, 2);
% T = 0;
% prm = param(end);
% [q, k, T] = lrun(q, (n-1)*q, r, theta, T0);
% q
% for j = 1:5
%     [q, k, T] = srun(q, (n-1)*q, k, T, theta);
%     q
% end
