function p = get_cartesian(p0, r, theta)

%
% Get cartesian coordinates of the vector [p0, p] end point
% p given the vector norm r and the angle theta between the
% vector and the vertical axis (clockwise)
%

p(1) = p0(1) + r*sin(theta);
p(2) = p0(2) + r*cos(theta);

